VismaBouwsoftAPICalls.v1_POST_AssignmentMachines Method
v1_POST_AssignmentMachines() as String

This API call is used to add a(n) AssignmentMachine

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /AssignmentMachines
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
assignment_id 1 tpLong 0 No No No
actualcostmachines_id_mapping 1 tpLong 0 No No No
date 3 tpDate 0 No Yes No
machine_id 1 tpLong 0 No Yes No
nr 2 tpString 0 No Yes No
description 2 tpString 0 No Yes No
unit 2 tpString 0 No Yes No
unit_localized 2 tpString 0 No No No
quantity 4 tpDouble 0 No Yes No
from 20 tpTimeDouble 0 No Yes No
to 20 tpTimeDouble 0 No Yes No
break 20 tpTimeDouble 0 No Yes No
job_id 1 tpLong 0 No Yes No
job_code 2 tpString 0 No Yes No
job_name 2 tpString 0 No No No
ok 5 tpBool 0 No Yes No
invoice_id 1 tpLong 0 No No No
invoice_nr 1 tpLong 0 No No No

/AssignmentMachines

API Path: /AssignmentMachines/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/AssignmentMachines

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: lAOfWxfGGkzSfGmUOfzRqVGUfblfkGVbfUjkzOlflkGIGDlVfO

Query Parameters :
ParameterName: columns, ParameterValue: assignment_id%3D%7B%22v1_POST_Assignments%20%28test1%29%22%3A%20%22id%22%7D%2Cmachine_id%3D%7B%22v1_POST_Machines%20%28test1%29%22%3A%20%22id%22%7D%2C%20date%3D%272022–10–24%27%2C%20from%3D8%2C%20to%3D16%2C%20break%3D1%2C%20quantity%3D8.5

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 129,
    "assignment_id": 1496,
    "actualcostmachines_id_mapping": 1806,
    "date": "2022–10–24",
    "machine_id": 2085,
    "nr": "Machine 4844302",
    "description": "Diverse Graafmachine 3 old",
    "unit": "u.",
    "unit_localized": "h.",
    "quantity": 8.5,
    "from": 8,
    "to": 16,
    "break": 1,
    "job_id": 0,
    "job_code": "",
    "job_name": "",
    "ok": false,
    "invoice_id": 0,
    "invoice_nr": 0
  }
]
}